<?php
/**
 * Original Poster Image in postbit
 * Author: Ryan Loos - MyBB Community Liaison
 * Date: 28th November 2009
 */

if(!defined("IN_MYBB")) {
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("postbit", "opimage_function");

function opimage_info() {
	return array(
		'name'			=> 'تصویر ارسال کننده اصلی',
		'description'	=> 'نمایش یک عکس برای هر ارسالی که آغاز کننده تاپیک آن را نوشته است، فارسی سازی توسط MybbIran.com',
		'website'		=> 'http://community.mybboard.net/thread-60332.html',
		'author'		=> 'Ryan Loos',
		'authorsite'	=> 'http://www.dloos.homelinux.com/~ryan/',
		'version'		=> '1.0',
		'compatibility' => '14*',
		'guid'          => 'eec0f5b24bbdb381d1eaee59f80144ba'
		
	);
}

function opimage_activate() {
	//Change something in a 777 chmoded file.
    $fh = fopen(MYBB_ROOT.'inc/functions_post.php', "r") or cperror("Could not open file!"); //OPEN FILE
    $data = fread($fh, filesize(MYBB_ROOT.'inc/functions_post.php')) or cperror("Could not read file!"); //MAKE TEMPORARY STRING
    fclose($fh); //CLOSE FILE AGAIN
    $newdata = preg_replace('#'.preg_quote('$post[\'postnum\'] = my_number_format($post[\'postnum\']);').'#','$post[\'postnum\'] = my_number_format($post[\'postnum\']);
	
		if($thread[\'uid\'] == $post[\'uid\']) {
			$post[\'opimage\'] = "<img src=\"images/opimage.png\" alt=\"نویسنده اصلی این تاپیک\" title=\"نویسنده اصلی این تاپیک\" />";
		}
		else {
			$post[\'opimage\'] = "";
		}',$data); //REPLACE IN STRING
    $fw = fopen(MYBB_ROOT.'inc/functions_post.php', "w") or cperror('Could not open file!'); //OPEN FILE AGAIN
    $fb = fwrite($fw, $newdata) or cperror('Could not write to file'); //WRITE STRING TO FILE
    fclose($fw); //CLOSE FILE AGAIN
	
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("postbit", '#'.preg_quote('{$post[\'onlinestatus\']}').'#', '{$post[\'onlinestatus\']}{\$post[\'opimage\']}');
	find_replace_templatesets("postbit_classic", '#'.preg_quote('{$post[\'onlinestatus\']}').'#', '{$post[\'onlinestatus\']}{\$post[\'opimage\']}');
}

function opimage_deactivate() {
	//Change something in a 777 chmoded file.
    $fh = fopen(MYBB_ROOT.'inc/functions_post.php', "r") or cperror("Could not open file!"); //OPEN FILE
    $data = fread($fh, filesize(MYBB_ROOT.'inc/functions_post.php')) or cperror("Could not read file!"); //MAKE TEMPORARY STRING
    fclose($fh); //CLOSE FILE AGAIN
    $newdata = preg_replace('#'.preg_quote('$post[\'postnum\'] = my_number_format($post[\'postnum\']);
	
		if($thread[\'uid\'] == $post[\'uid\']) {
			$post[\'opimage\'] = "<img src=\"images/opimage.png\" alt=\"O.P.\" title=\"O.P.\" />";
		}
		else {
			$post[\'opimage\'] = "";
		}').'#','$post[\'postnum\'] = my_number_format($post[\'postnum\']);',$data); //REPLACE IN STRING
    $fw = fopen(MYBB_ROOT.'inc/functions_post.php', "w") or cperror('Could not open file!'); //OPEN FILE AGAIN
    $fb = fwrite($fw, $newdata) or cperror('Could not write to file'); //WRITE STRING TO FILE
    fclose($fw); //CLOSE FILE AGAIN

	require  MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets("postbit", '#'.preg_quote('{$post[\'opimage\']}').'#', '',0);
	find_replace_templatesets("postbit_classic", '#'.preg_quote('{$post[\'opimage\']}').'#', '',0);
}

function opimage_function($post) {	
	/*if($thread['uid'] == $post['uid']) {
		$post['opimage'] = "<img src=\"images/opimage.png\" alt=\"O.P.\" title=\"O.P.\" />";
	}
	else {
		$post['opimage'] = "";
	}*/
}

?>